
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was Config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

set("dynamic-graph-python_DOXYGENDOCDIR" "${PACKAGE_PREFIX_DIR}/share/doc/dynamic-graph-python/doxygen-html")
set("DYNAMIC_GRAPH_PYTHON_DOXYGENDOCDIR" "${PACKAGE_PREFIX_DIR}/share/doc/dynamic-graph-python/doxygen-html")
set("dynamic-graph-python_DEPENDENCIES" "dynamic-graph")
set("dynamic-graph-python_PKG_CONFIG_DEPENDENCIES" "dynamic-graph")

include(CMakeFindDependencyMacro)
find_dependency(dynamic-graph REQUIRED)

IF(COMMAND ADD_REQUIRED_DEPENDENCY)
  FOREACH(pkgcfg_dep ${dynamic-graph-python_PKG_CONFIG_DEPENDENCIES})
    ADD_REQUIRED_DEPENDENCY(${pkgcfg_dep})
  ENDFOREACH()
ENDIF(COMMAND ADD_REQUIRED_DEPENDENCY)

include("${CMAKE_CURRENT_LIST_DIR}/dynamic-graph-pythonTargets.cmake")
check_required_components("dynamic-graph-python")


